diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/test/hash-test-suite.cc ns-3.45/src/core/test/hash-test-suite.cc
--- ns-3.44/src/core/test/hash-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
+++ ns-3.45/src/core/test/hash-test-suite.cc	2025-06-01 20:34:45.301701000 -0700
@@ -76,7 +76,8 @@
     void Check(const std::string hashName, const int bits, const uint64_t hash);
     void DoRun() override;
 
-}; // class HashTestCase
+    // end of class HashTestCase
+};
 
 HashTestCase::HashTestCase(const std::string name)
     : TestCase(name),
@@ -415,11 +416,12 @@
     key2 = "Incremental.";
     key12 = key1 + key2;
 
-    std::cout << GetName() << "checking with key: "
-              << "\"" << key1 << "\"[" << key1.size() << "] + "
-              << "\"" << key2 << "\"[" << key2.size() << "]" << std::endl;
-    std::cout << GetName() << "equivalent to:     "
-              << "\"" << key12 << "\"[" << key12.size() << "]" << std::endl;
+    std::cout << GetName() << "checking with key: ";
+    std::cout << "\"" << key1 << "\"[" << key1.size() << "] + ";
+    std::cout << "\"" << key2 << "\"[" << key2.size() << "]" << std::endl;
+
+    std::cout << GetName() << "equivalent to:     ";
+    std::cout << "\"" << key12 << "\"[" << key12.size() << "]" << std::endl;
 
     DoHash("default", Hasher());
     DoHash("murmur3", Hasher(Create<Hash::Function::Murmur3>()));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/test/random-variable-stream-test-suite.cc ns-3.45/src/core/test/random-variable-stream-test-suite.cc
--- ns-3.44/src/core/test/random-variable-stream-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
+++ ns-3.45/src/core/test/random-variable-stream-test-suite.cc	2025-06-01 20:34:45.302701200 -0700
@@ -352,7 +352,8 @@
     /** \c true if we've already set the seed the correctly. */
     bool m_seedSet = false;
 
-}; // class TestCaseBase
+    // end of class TestCaseBase
+};
 
 /**
  * @ingroup rng-tests
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/test/simulator-test-suite.cc ns-3.45/src/core/test/simulator-test-suite.cc
--- ns-3.44/src/core/test/simulator-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
+++ ns-3.45/src/core/test/simulator-test-suite.cc	2025-06-01 20:34:45.302701200 -0700
@@ -235,39 +235,45 @@
      *
      * @{
      */
-    void bar0(){};
-    void bar1(int){};
-    void bar2(int, int){};
-    void bar3(int, int, int){};
-    void bar4(int, int, int, int){};
-    void bar5(int, int, int, int, int){};
-    void baz1(int&){};
-    void baz2(int&, int&){};
-    void baz3(int&, int&, int&){};
-    void baz4(int&, int&, int&, int&){};
-    void baz5(int&, int&, int&, int&, int&){};
-    void cbaz1(const int&){};
-    void cbaz2(const int&, const int&){};
-    void cbaz3(const int&, const int&, const int&){};
-    void cbaz4(const int&, const int&, const int&, const int&){};
-    void cbaz5(const int&, const int&, const int&, const int&, const int&){};
-
-    void bar0c() const {};
-    void bar1c(int) const {};
-    void bar2c(int, int) const {};
-    void bar3c(int, int, int) const {};
-    void bar4c(int, int, int, int) const {};
-    void bar5c(int, int, int, int, int) const {};
-    void baz1c(int&) const {};
-    void baz2c(int&, int&) const {};
-    void baz3c(int&, int&, int&) const {};
-    void baz4c(int&, int&, int&, int&) const {};
-    void baz5c(int&, int&, int&, int&, int&) const {};
-    void cbaz1c(const int&) const {};
-    void cbaz2c(const int&, const int&) const {};
-    void cbaz3c(const int&, const int&, const int&) const {};
-    void cbaz4c(const int&, const int&, const int&, const int&) const {};
-    void cbaz5c(const int&, const int&, const int&, const int&, const int&) const {};
+
+    // clang-format off
+
+    void bar0() {}
+    void bar1(int) {}
+    void bar2(int, int) {}
+    void bar3(int, int, int) {}
+    void bar4(int, int, int, int) {}
+    void bar5(int, int, int, int, int) {}
+    void baz1(int&) {}
+    void baz2(int&, int&) {}
+    void baz3(int&, int&, int&) {}
+    void baz4(int&, int&, int&, int&) {}
+    void baz5(int&, int&, int&, int&, int&) {}
+    void cbaz1(const int&) {}
+    void cbaz2(const int&, const int&) {}
+    void cbaz3(const int&, const int&, const int&) {}
+    void cbaz4(const int&, const int&, const int&, const int&) {}
+    void cbaz5(const int&, const int&, const int&, const int&, const int&) {}
+
+    void bar0c() const {}
+    void bar1c(int) const {}
+    void bar2c(int, int) const {}
+    void bar3c(int, int, int) const {}
+    void bar4c(int, int, int, int) const {}
+    void bar5c(int, int, int, int, int) const {}
+    void baz1c(int&) const {}
+    void baz2c(int&, int&) const {}
+    void baz3c(int&, int&, int&) const {}
+    void baz4c(int&, int&, int&, int&) const {}
+    void baz5c(int&, int&, int&, int&, int&) const {}
+    void cbaz1c(const int&) const {}
+    void cbaz2c(const int&, const int&) const {}
+    void cbaz3c(const int&, const int&, const int&) const {}
+    void cbaz4c(const int&, const int&, const int&, const int&) const {}
+    void cbaz5c(const int&, const int&, const int&, const int&, const int&) const {}
+
+    // clang-format on
+
     /** @} */
 };
 
@@ -276,85 +282,27 @@
  *
  * @{
  */
-static void
-foo0()
-{
-}
-
-static void
-foo1(int)
-{
-}
-
-static void
-foo2(int, int)
-{
-}
-
-static void
-foo3(int, int, int)
-{
-}
-
-static void
-foo4(int, int, int, int)
-{
-}
-
-static void
-foo5(int, int, int, int, int)
-{
-}
-
-static void
-ber1(int&)
-{
-}
-
-static void
-ber2(int&, int&)
-{
-}
-
-static void
-ber3(int&, int&, int&)
-{
-}
-
-static void
-ber4(int&, int&, int&, int&)
-{
-}
-
-static void
-ber5(int&, int&, int&, int&, int&)
-{
-}
-
-static void
-cber1(const int&)
-{
-}
-
-static void
-cber2(const int&, const int&)
-{
-}
-
-static void
-cber3(const int&, const int&, const int&)
-{
-}
-
-static void
-cber4(const int&, const int&, const int&, const int&)
-{
-}
-
-static void
-cber5(const int&, const int&, const int&, const int&, const int&)
-{
-}
+
+// clang-format off
+
+static void foo0() {}
+static void foo1(int) {}
+static void foo2(int, int) {}
+static void foo3(int, int, int) {}
+static void foo4(int, int, int, int) {}
+static void foo5(int, int, int, int, int) {}
+static void ber1(int&) {}
+static void ber2(int&, int&) {}
+static void ber3(int&, int&, int&) {}
+static void ber4(int&, int&, int&, int&) {}
+static void ber5(int&, int&, int&, int&, int&) {}
+static void cber1(const int&) {}
+static void cber2(const int&, const int&) {}
+static void cber3(const int&, const int&, const int&) {}
+static void cber4(const int&, const int&, const int&, const int&) {}
+static void cber5(const int&, const int&, const int&, const int&, const int&) {}
+
+// clang-format on
 
 /** @} */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/test/splitstring-test-suite.cc ns-3.45/src/core/test/splitstring-test-suite.cc
--- ns-3.44/src/core/test/splitstring-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
+++ ns-3.45/src/core/test/splitstring-test-suite.cc	2025-06-01 20:34:45.302701200 -0700
@@ -56,7 +56,8 @@
     /** Test suite delimiter. */
     const std::string m_delimiter{":|:"};
 
-}; // class SplitStringTestCase
+    // end of class SplitStringTestCase
+};
 
 SplitStringTestCase::SplitStringTestCase()
     : TestCase("split-string")
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/test/timer-test-suite.cc ns-3.45/src/core/test/timer-test-suite.cc
--- ns-3.44/src/core/test/timer-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
+++ ns-3.45/src/core/test/timer-test-suite.cc	2025-06-01 20:34:45.302701200 -0700
@@ -24,20 +24,24 @@
 namespace
 {
 
+// clang-format off
+
 /// Function with one int parameter.
-void bari(int){};
+void bari(int) {}
 /// Function with two int parameters.
-void bar2i(int, int){};
+void bar2i(int, int) {}
 /// Function with three int parameters.
-void bar3i(int, int, int){};
+void bar3i(int, int, int) {}
 /// Function with four int parameters.
-void bar4i(int, int, int, int){};
+void bar4i(int, int, int, int) {}
 /// Function with five int parameters.
-void bar5i(int, int, int, int, int){};
+void bar5i(int, int, int, int, int) {}
 /// Function with one const int reference parameter.
-void barcir(const int&){};
+void barcir(const int&) {}
 /// Function with one int reference parameter.
-void barir(int&){};
+void barir(int&) {}
+
+// clang-format on
 
 } // anonymous namespace
 
@@ -106,26 +110,30 @@
     void DoRun() override;
     void DoTeardown() override;
 
+    // clang-format off
+
     /// Member function with one int parameter.
-    void bazi(int){};
+    void bazi(int) {}
     /// Member function with two int parameters.
-    void baz2i(int, int){};
+    void baz2i(int, int) {}
     /// Member function with three int parameters.
-    void baz3i(int, int, int){};
+    void baz3i(int, int, int) {}
     /// Member function with four int parameters.
-    void baz4i(int, int, int, int){};
+    void baz4i(int, int, int, int) {}
     /// Member function with five int parameters.
-    void baz5i(int, int, int, int, int){};
+    void baz5i(int, int, int, int, int) {}
     /// Member function with six int parameters.
-    void baz6i(int, int, int, int, int, int){};
+    void baz6i(int, int, int, int, int, int) {}
     /// Member function with one const int reference parameter.
-    void bazcir(const int&){};
+    void bazcir(const int&) {}
     /// Member function with one int reference parameter.
-    void bazir(int&){};
+    void bazir(int&) {}
     /// Member function with one int pointer parameter.
-    void bazip(int*){};
+    void bazip(int*) {}
     /// Member function with one const int pointer parameter.
-    void bazcip(const int*){};
+    void bazcip(const int*) {}
+
+    // clang-format on
 };
 
 TimerTemplateTestCase::TimerTemplateTestCase()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/csma/model/csma-channel.cc ns-3.45/src/csma/model/csma-channel.cc
--- ns-3.44/src/csma/model/csma-channel.cc	2025-03-09 16:55:49.371371000 -0700
+++ ns-3.45/src/csma/model/csma-channel.cc	2025-06-01 20:34:45.303701200 -0700
@@ -119,28 +119,25 @@
 {
     NS_LOG_FUNCTION(this << deviceId);
 
-    if (deviceId < m_deviceList.size())
+    if (deviceId >= m_deviceList.size())
     {
-        if (!m_deviceList[deviceId].active)
-        {
-            NS_LOG_WARN("CsmaChannel::Detach(): Device is already detached (" << deviceId << ")");
-            return false;
-        }
-
-        m_deviceList[deviceId].active = false;
-
-        if ((m_state == TRANSMITTING) && (m_currentSrc == deviceId))
-        {
-            NS_LOG_WARN("CsmaChannel::Detach(): Device is currently"
-                        << "transmitting (" << deviceId << ")");
-        }
-
-        return true;
+        return false;
     }
-    else
+
+    if (!m_deviceList[deviceId].active)
     {
+        NS_LOG_WARN("CsmaChannel::Detach(): Device is already detached (" << deviceId << ")");
         return false;
     }
+
+    m_deviceList[deviceId].active = false;
+
+    if ((m_state == TRANSMITTING) && (m_currentSrc == deviceId))
+    {
+        NS_LOG_WARN("CsmaChannel::Detach(): Device is currently transmitting (" << deviceId << ")");
+    }
+
+    return true;
 }
 
 bool
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/dsr/model/dsr-options.cc ns-3.45/src/dsr/model/dsr-options.cc
--- ns-3.44/src/dsr/model/dsr-options.cc	2025-03-09 16:55:49.371371000 -0700
+++ ns-3.45/src/dsr/model/dsr-options.cc	2025-06-01 20:34:45.306701200 -0700
@@ -477,12 +477,6 @@
     return tid;
 }
 
-TypeId
-DsrOptionRreq::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 DsrOptionRreq::DsrOptionRreq()
 {
     NS_LOG_FUNCTION_NOARGS();
@@ -1018,12 +1012,6 @@
     NS_LOG_FUNCTION_NOARGS();
 }
 
-TypeId
-DsrOptionRrep::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 uint8_t
 DsrOptionRrep::GetOptionNumber() const
 {
@@ -1241,12 +1229,6 @@
     NS_LOG_FUNCTION_NOARGS();
 }
 
-TypeId
-DsrOptionSR::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 uint8_t
 DsrOptionSR::GetOptionNumber() const
 {
@@ -1519,12 +1501,6 @@
     NS_LOG_FUNCTION_NOARGS();
 }
 
-TypeId
-DsrOptionRerr::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 uint8_t
 DsrOptionRerr::GetOptionNumber() const
 {
@@ -1712,12 +1688,6 @@
     NS_LOG_FUNCTION_NOARGS();
 }
 
-TypeId
-DsrOptionAckReq::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 uint8_t
 DsrOptionAckReq::GetOptionNumber() const
 {
@@ -1780,12 +1750,6 @@
     NS_LOG_FUNCTION_NOARGS();
 }
 
-TypeId
-DsrOptionAck::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 uint8_t
 DsrOptionAck::GetOptionNumber() const
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/dsr/model/dsr-options.h ns-3.45/src/dsr/model/dsr-options.h
--- ns-3.44/src/dsr/model/dsr-options.h	2025-03-09 16:55:49.371371000 -0700
+++ ns-3.45/src/dsr/model/dsr-options.h	2025-06-01 20:34:45.306701200 -0700
@@ -354,11 +354,6 @@
      */
     static TypeId GetTypeId();
     /**
-     * @brief Get the instance type ID.
-     * @return instance type ID
-     */
-    TypeId GetInstanceTypeId() const override;
-    /**
      * @brief Constructor.
      */
     DsrOptionRreq();
@@ -405,11 +400,6 @@
      * @return the object TypeId
      */
     static TypeId GetTypeId();
-    /**
-     * @brief Get the instance type ID.
-     * @return instance type ID
-     */
-    TypeId GetInstanceTypeId() const override;
 
     DsrOptionRrep();
     ~DsrOptionRrep() override;
@@ -452,11 +442,6 @@
      * @return the object TypeId
      */
     static TypeId GetTypeId();
-    /**
-     * @brief Get the instance type ID.
-     * @return instance type ID
-     */
-    TypeId GetInstanceTypeId() const override;
 
     DsrOptionSR();
     ~DsrOptionSR() override;
@@ -495,11 +480,6 @@
      * @return the object TypeId
      */
     static TypeId GetTypeId();
-    /**
-     * @brief Get the instance type ID.
-     * @return instance type ID
-     */
-    TypeId GetInstanceTypeId() const override;
 
     DsrOptionRerr();
     ~DsrOptionRerr() override;
@@ -557,11 +537,6 @@
      * @return the object TypeId
      */
     static TypeId GetTypeId();
-    /**
-     * @brief Get the instance type ID.
-     * @return instance type ID
-     */
-    TypeId GetInstanceTypeId() const override;
 
     DsrOptionAckReq();
     ~DsrOptionAckReq() override;
@@ -604,11 +579,6 @@
      * @return the object TypeId
      */
     static TypeId GetTypeId();
-    /**
-     * @brief Get the instance type ID.
-     * @return instance type ID
-     */
-    TypeId GetInstanceTypeId() const override;
 
     DsrOptionAck();
     ~DsrOptionAck() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/dsr/model/dsr-rcache.h ns-3.45/src/dsr/model/dsr-rcache.h
--- ns-3.44/src/dsr/model/dsr-rcache.h	2025-03-09 16:55:49.371371000 -0700
+++ ns-3.45/src/dsr/model/dsr-rcache.h	2025-06-01 20:34:45.306701200 -0700
@@ -673,7 +673,8 @@
 
         Neighbor()
         {
-        } // For Python bindings
+            // For Python bindings
+        }
     };
 
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/dsr/model/dsr-routing.h ns-3.45/src/dsr/model/dsr-routing.h
--- ns-3.44/src/dsr/model/dsr-routing.h	2025-03-09 16:55:49.371371000 -0700
+++ ns-3.45/src/dsr/model/dsr-routing.h	2025-06-01 20:34:45.307701000 -0700
@@ -80,6 +80,16 @@
 class DsrOptions;
 
 /**
+ * @defgroup dsr Dynamic Source Routing (DSR)
+ *
+ * This section documents the API of the Dynamic Source Routing Protocol based on RFC 4728
+ * with some modifications. For a generic functional description, please refer to the ns-3
+ * model library document.
+ */
+
+/**
+ * @ingroup dsr
+ *
  * @class DsrRouting
  * @brief Dsr Routing base
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/energy/examples/generic-battery-wifiradio-example.cc ns-3.45/src/energy/examples/generic-battery-wifiradio-example.cc
--- ns-3.44/src/energy/examples/generic-battery-wifiradio-example.cc	2025-03-09 16:55:49.375371000 -0700
+++ ns-3.45/src/energy/examples/generic-battery-wifiradio-example.cc	2025-06-01 20:34:45.308701300 -0700
@@ -273,9 +273,8 @@
     NS_LOG_DEBUG(" *Remaining Capacity * "
                  << "| Node 0: " << battery0->GetRemainingEnergy() << " J "
                  << "| Node 1: " << battery1->GetRemainingEnergy() << " J");
-    NS_LOG_DEBUG(" *SoC * "
-                 << "| Node 0: " << battery0->GetStateOfCharge() << " % "
-                 << "| Node 1: " << battery1->GetStateOfCharge() << " % ");
+    NS_LOG_DEBUG(" *SoC * | Node 0: " << battery0->GetStateOfCharge() << " % "
+                                      << "| Node 1: " << battery1->GetStateOfCharge() << " %");
 
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/energy/model/generic-battery-model.h ns-3.45/src/energy/model/generic-battery-model.h
--- ns-3.44/src/energy/model/generic-battery-model.h	2025-03-09 16:55:49.375371000 -0700
+++ ns-3.45/src/energy/model/generic-battery-model.h	2025-06-01 20:34:45.310701100 -0700
@@ -138,7 +138,7 @@
  * @brief A generic battery model for  Li-Ion, NiCd, NiMh and Lead acid batteries
  *
  * The generic battery model can be used to describe the discharge behavior of
- * the battery chemestries supported by the model.
+ * the battery chemistries supported by the model.
  */
 class GenericBatteryModel : public EnergySource
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/flow-monitor/model/flow-monitor.cc ns-3.45/src/flow-monitor/model/flow-monitor.cc
--- ns-3.44/src/flow-monitor/model/flow-monitor.cc	2025-03-09 16:55:49.379371200 -0700
+++ ns-3.45/src/flow-monitor/model/flow-monitor.cc	2025-06-01 20:34:45.313701200 -0700
@@ -74,12 +74,6 @@
     return tid;
 }
 
-TypeId
-FlowMonitor::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 FlowMonitor::FlowMonitor()
     : m_enabled(false)
 {
@@ -440,45 +434,53 @@
     indent += 2;
     os << std::string(indent, ' ') << "<FlowStats>\n";
     indent += 2;
-    for (auto flowI = m_flowStats.begin(); flowI != m_flowStats.end(); flowI++)
+    for (const auto& [flowId, flowStats] : m_flowStats)
     {
         os << std::string(indent, ' ');
-#define ATTRIB(name) " " #name "=\"" << flowI->second.name << "\""
-#define ATTRIB_TIME(name) " " #name "=\"" << flowI->second.name.As(Time::NS) << "\""
-        os << "<Flow flowId=\"" << flowI->first << "\"" << ATTRIB_TIME(timeFirstTxPacket)
-           << ATTRIB_TIME(timeFirstRxPacket) << ATTRIB_TIME(timeLastTxPacket)
-           << ATTRIB_TIME(timeLastRxPacket) << ATTRIB_TIME(delaySum) << ATTRIB_TIME(jitterSum)
-           << ATTRIB_TIME(lastDelay) << ATTRIB_TIME(maxDelay) << ATTRIB_TIME(minDelay)
-           << ATTRIB(txBytes) << ATTRIB(rxBytes) << ATTRIB(txPackets) << ATTRIB(rxPackets)
-           << ATTRIB(lostPackets) << ATTRIB(timesForwarded) << ">\n";
+#define ATTRIB(name) " " #name "=\"" << flowStats.name << "\""
+#define ATTRIB_TIME(name) " " #name "=\"" << flowStats.name.As(Time::NS) << "\""
+        os << "<Flow";
+        os << " flowId=\"" << flowId << "\"";
+        os << ATTRIB_TIME(timeFirstTxPacket);
+        os << ATTRIB_TIME(timeFirstRxPacket);
+        os << ATTRIB_TIME(timeLastTxPacket);
+        os << ATTRIB_TIME(timeLastRxPacket);
+        os << ATTRIB_TIME(delaySum);
+        os << ATTRIB_TIME(jitterSum);
+        os << ATTRIB_TIME(lastDelay);
+        os << ATTRIB_TIME(maxDelay);
+        os << ATTRIB_TIME(minDelay);
+        os << ATTRIB(txBytes);
+        os << ATTRIB(rxBytes);
+        os << ATTRIB(txPackets);
+        os << ATTRIB(rxPackets);
+        os << ATTRIB(lostPackets);
+        os << ATTRIB(timesForwarded);
+        os << ">\n";
 #undef ATTRIB_TIME
 #undef ATTRIB
 
         indent += 2;
-        for (uint32_t reasonCode = 0; reasonCode < flowI->second.packetsDropped.size();
-             reasonCode++)
+        for (uint32_t reasonCode = 0; reasonCode < flowStats.packetsDropped.size(); reasonCode++)
         {
             os << std::string(indent, ' ');
             os << "<packetsDropped reasonCode=\"" << reasonCode << "\""
-               << " number=\"" << flowI->second.packetsDropped[reasonCode] << "\" />\n";
+               << " number=\"" << flowStats.packetsDropped[reasonCode] << "\" />\n";
         }
-        for (uint32_t reasonCode = 0; reasonCode < flowI->second.bytesDropped.size(); reasonCode++)
+        for (uint32_t reasonCode = 0; reasonCode < flowStats.bytesDropped.size(); reasonCode++)
         {
             os << std::string(indent, ' ');
             os << "<bytesDropped reasonCode=\"" << reasonCode << "\""
-               << " bytes=\"" << flowI->second.bytesDropped[reasonCode] << "\" />\n";
+               << " bytes=\"" << flowStats.bytesDropped[reasonCode] << "\" />\n";
         }
         if (enableHistograms)
         {
-            flowI->second.delayHistogram.SerializeToXmlStream(os, indent, "delayHistogram");
-            flowI->second.jitterHistogram.SerializeToXmlStream(os, indent, "jitterHistogram");
-            flowI->second.packetSizeHistogram.SerializeToXmlStream(os,
-                                                                   indent,
-                                                                   "packetSizeHistogram");
-            flowI->second.flowInterruptionsHistogram.SerializeToXmlStream(
-                os,
-                indent,
-                "flowInterruptionsHistogram");
+            flowStats.delayHistogram.SerializeToXmlStream(os, indent, "delayHistogram");
+            flowStats.jitterHistogram.SerializeToXmlStream(os, indent, "jitterHistogram");
+            flowStats.packetSizeHistogram.SerializeToXmlStream(os, indent, "packetSizeHistogram");
+            flowStats.flowInterruptionsHistogram.SerializeToXmlStream(os,
+                                                                      indent,
+                                                                      "flowInterruptionsHistogram");
         }
         indent -= 2;
 
@@ -521,7 +523,7 @@
 FlowMonitor::SerializeToXmlFile(std::string fileName, bool enableHistograms, bool enableProbes)
 {
     NS_LOG_FUNCTION(this << fileName << enableHistograms << enableProbes);
-    std::ofstream os(fileName, std::ios::out | std::ios::binary);
+    std::ofstream os(fileName, std::ios::out);
     os << "<?xml version=\"1.0\" ?>\n";
     SerializeToXmlStream(os, 0, enableHistograms, enableProbes);
     os.close();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/flow-monitor/model/flow-monitor.h ns-3.45/src/flow-monitor/model/flow-monitor.h
--- ns-3.44/src/flow-monitor/model/flow-monitor.h	2025-03-09 16:55:49.379371200 -0700
+++ ns-3.45/src/flow-monitor/model/flow-monitor.h	2025-06-01 20:34:45.313701200 -0700
@@ -137,7 +137,6 @@
      * @return the object TypeId
      */
     static TypeId GetTypeId();
-    TypeId GetInstanceTypeId() const override;
     FlowMonitor();
 
     /// Add a FlowClassifier to be used by the flow monitor.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/internet/model/arp-l3-protocol.cc ns-3.45/src/internet/model/arp-l3-protocol.cc
--- ns-3.44/src/internet/model/arp-l3-protocol.cc	2025-03-09 16:55:49.387371000 -0700
+++ ns-3.45/src/internet/model/arp-l3-protocol.cc	2025-06-01 20:34:45.320701100 -0700
@@ -309,10 +309,23 @@
                                     cache,
                                     destination);
             }
+            else if (entry->IsWaitReply())
+            {
+                NS_LOG_LOGIC("node=" << m_node->GetId() << ", entry for " << destination
+                                     << " waiting for a reply -- adding the packet to the queue");
+                if (!entry->UpdateWaitReply(ArpCache::Ipv4PayloadHeaderPair(packet, ipHeader)))
+                {
+                    // add the Ipv4 header for tracing purposes
+                    packet->AddHeader(ipHeader);
+                    m_dropTrace(packet);
+                }
+                return false;
+            }
             else
             {
-                NS_FATAL_ERROR("Test for possibly unreachable code-- please file a bug report, "
-                               "with a test case, if this is ever hit");
+                NS_FATAL_ERROR("Test for possibly unreachable code -- please file a bug report, "
+                               "with a test case - "
+                               << *entry);
             }
         }
         else
@@ -352,8 +365,9 @@
             }
             else
             {
-                NS_LOG_LOGIC("Test for possibly unreachable code-- please file a bug report, with "
-                             "a test case, if this is ever hit");
+                NS_FATAL_ERROR("Test for possibly unreachable code -- please file a bug report, "
+                               "with a test case - "
+                               << *entry);
             }
         }
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/internet/model/global-route-manager-impl.cc ns-3.45/src/internet/model/global-route-manager-impl.cc
--- ns-3.44/src/internet/model/global-route-manager-impl.cc	2025-03-09 16:55:49.387371000 -0700
+++ ns-3.45/src/internet/model/global-route-manager-impl.cc	2025-06-01 20:34:45.320701100 -0700
@@ -129,11 +129,9 @@
         uint32_t orgCount = (*piter)->m_children.size();
         (*piter)->m_children.remove(this);
         uint32_t newCount = (*piter)->m_children.size();
-        if (orgCount > newCount)
-        {
-            NS_ASSERT_MSG(orgCount > newCount,
-                          "Unable to find the current vertex from its parents --- impossible!");
-        }
+
+        NS_ASSERT_MSG(orgCount > newCount,
+                      "Unable to find the current vertex from its parents --- impossible!");
     }
 
     // delete children
@@ -749,6 +747,7 @@
         numRecordsInVertex = v->GetLSA()->GetNAttachedRouters();
     }
 
+    // Loop over the links in V's LSA
     for (uint32_t i = 0; i < numRecordsInVertex; i++)
     {
         // Get w_lsa:  In case of V is Router-LSA
@@ -864,9 +863,7 @@
             }
             else
             {
-                NS_ASSERT_MSG(0,
-                              "SPFNexthopCalculation never "
-                                  << "return false, but it does now!");
+                NS_ASSERT_MSG(0, "SPFNexthopCalculation never return false, but it does now!");
             }
         }
         else if (w_lsa->GetStatus() == GlobalRoutingLSA::LSA_SPF_CANDIDATE)
@@ -943,9 +940,9 @@
                     //
                     candidate.Reorder();
                 }
-            } // new lower cost path found
-        }     // end W is already on the candidate list
-    }         // end loop over the links in V's LSA
+            }
+        }
+    }
 }
 
 //
@@ -1051,7 +1048,7 @@
                                           << " goes through next hop " << nextHop
                                           << " via outgoing interface " << outIf
                                           << " with distance " << distance);
-        } // end W is a router vertes
+        }
         else
         {
             NS_ASSERT(w->GetVertexType() == SPFVertex::VertexNetwork);
@@ -1071,7 +1068,7 @@
                                           << " with distance " << distance);
             return 1;
         }
-    } // end v is the root
+    }
     else if (v->GetVertexType() == SPFVertex::VertexNetwork)
     {
         // See if any of v's parents are the root
@@ -1457,8 +1454,7 @@
         //
         // Iterate the algorithm by returning to Step 2 until there are no more
         // candidate vertices.
-
-    } // end for loop
+    }
 
     // Second stage of SPF calculation procedure
     SPFProcessStubs(m_spfroot);
@@ -1631,7 +1627,7 @@
             }
         }
         return;
-    } // for
+    }
 }
 
 // Processing logic from RFC 2328, page 166 and quagga ospf_spf_process_stubs ()
@@ -1794,8 +1790,8 @@
                 }
             }
             return;
-        } // if
-    }     // for
+        }
+    }
 }
 
 //
@@ -2023,7 +2019,7 @@
                                            << " using next hop " << nextHop
                                            << " since outgoing interface id is negative " << outIf);
                 }
-            } // for all routes from the root the vertex 'v'
+            }
         }
         //
         // Done adding the routes for the selected node.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/internet/model/icmpv6-l4-protocol.cc ns-3.45/src/internet/model/icmpv6-l4-protocol.cc
--- ns-3.44/src/internet/model/icmpv6-l4-protocol.cc	2025-03-09 16:55:49.391371000 -0700
+++ ns-3.45/src/internet/model/icmpv6-l4-protocol.cc	2025-06-01 20:34:45.322701200 -0700
@@ -145,13 +145,6 @@
     return tid;
 }
 
-TypeId
-Icmpv6L4Protocol::GetInstanceTypeId() const
-{
-    NS_LOG_FUNCTION(this);
-    return Icmpv6L4Protocol::GetTypeId();
-}
-
 Icmpv6L4Protocol::Icmpv6L4Protocol()
     : m_node(nullptr)
 {
@@ -175,6 +168,7 @@
     }
     m_cacheList.clear();
     m_downTarget.Nullify();
+    m_startDhcpv6.Nullify();
 
     m_node = nullptr;
     IpL4Protocol::DoDispose();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/internet/model/icmpv6-l4-protocol.h ns-3.45/src/internet/model/icmpv6-l4-protocol.h
--- ns-3.44/src/internet/model/icmpv6-l4-protocol.h	2025-03-09 16:55:49.391371000 -0700
+++ ns-3.45/src/internet/model/icmpv6-l4-protocol.h	2025-06-01 20:34:45.322701200 -0700
@@ -47,7 +47,6 @@
      * @return the object TypeId
      */
     static TypeId GetTypeId();
-    TypeId GetInstanceTypeId() const override;
 
     /**
      * @brief ICMPv6 protocol number (58).
